#include "main.h"

int displayMenu(void)
{
    /*
    Choix de l'action à réaliser

    +return: choix de l'action

    +var choice: choix de l'action
    */
    int choice;
    //TODO > Clear screen
    printf("\n=================================\n");
    printf("          Menu Principal\n");
    printf("=================================\n");
    printf("1. \u25B6 Connexion\n");
    printf("2. \u25B6 Inscription\n");
    printf("3. \u25B6 Faire opposition\n");
    printf("4. \u274C Quitter\n");
    printf("9. \u26A0 Débug\n");
    printf("=================================\n");
    printf("Votre choix : ");
    scanf("%d", &choice);

    return choice;
}

void global(void)
{
    /*
    Fonction global: Exécute les autres fonctions selon les choix de l'utilisateur

    +var tLogArticle: taille logique des tableaux contenant les données des articles
    +var tLogClient:  taille logique des tableaux contenant les données des clients
    +var choice:      choix de l'action à réaliser
    +var reference:   tableau des références des articles
    +var clientID:    tableau des identifiants des clients
    +var suspended:   tableau de l'état du compte des clients
    +var weight:      tableau du poids des articles
    +var volume:      tableau du volume des articles
    +var unitPrice:   tableau du prix unitaire des actions
    +var cagnotte:    tableau des cagnottes des clients
    */
    // Déclaration des variables
    int tLogArticle, tLogClient, choice;
    int reference[tmaxArticles], clientID[tmaxClients], suspended[tmaxClients], isAdmin[tmaxClients];
    float weight[tmaxArticles], volume[tmaxArticles], unitPrice[tmaxArticles], cagnotte[tmaxClients];
    // Chargement de toute les données
    chargeDonnees(&tLogArticle, &tLogClient, reference, weight, volume, unitPrice, clientID, cagnotte, suspended, isAdmin);
    // Affichage du menu
    choice = displayMenu();

    while (choice != 4)
    {
        choice = displayMenu();
        switch (choice)
        {
            case 1:
                //TODO > Connexion
                break;
            case 2:
                //TODO > Inscription
                break;
            case 3:
                //TODO > Faire opposition
                break;
            case 4:
                return;
            case 9:
                printf("Temp");
                break;
            default:
                printf("Erreur, veuillez entrer un choix valide.\n");
                choice = displayMenu();
                break;
        }
    }
}

int main(void)
{
    global();
    return 0;
}